
ISIS - Bug #2305

MARCI camera model is not correct -- It needs to accommodate variable

LINE_EXPOSURE_DURATION for both geometry and radiometry

2015-07-29 09:15 AM - Moses Milazzo
Priority: High   

Assignee:    

Category:    

Target version:    

Impact:  Software Version:  

Description

The MARCI camera can be operated in a mode that allows variable LINE_EXPOSURE_DURATION during a single observation.

There is a short-term fix for radiometric calibration which checks a flat, static file: $ISIS3DATA/mro/calibration/marci/varexp.tab which

is sourced from the PDS after the MARCI team releases new data. This file is the only known authority of whether any given

observation has been operated with variable LINE_EXPOSURE_DURATION.

A variable LINE_EXPOSURE_DURATION also affects geometric properties of the observation, so every observation that is in the file

should also be treated differently on ingestion.

One long-term solution would be for marci2isis to add a keyword/value pair that contains the vectors (starting LINEs of the new

LINE_EXPOSURE_DURATION and the new LINE_EXPOSURE_DURATIONs) to the ISIS3 MARCI cube. The camera model would

then utilize this information to properly handle the length (time and latitude duration) of the observation. marcical would also utilize

these vectors when performing radiometric calibration.

I attempted to find a way to estimate whether the observation had variable LINE_EXPOSURE_DURATION without interrogating the

varexp.tab file, but the PDS image labels are not detailed enough to discover even a hint that the observation was operated in this

mode.

Related issues:

Related to ISIS - Bug #2289: marci2isis does not currently check for MARCI ob... Acknowledged2015-07-23

Related to ISIS - Bug #2276: MARCI Calibration errors Acknowledged

History

#1 - 2015-07-29 09:16 AM - Moses Milazzo

- Related to Bug #2289: marci2isis does not currently check for MARCI observations that have more than one exposure duration. added

#3 - 2015-08-12 02:53 PM - Moses Milazzo

- Status changed from New to Acknowledged

#4 - 2016-03-25 04:02 AM - Tammy Becker

- Related to Bug #2276: MARCI Calibration errors added
